1
0
forked from MTSR/mapserver

remove integration test stuff

This commit is contained in:
BuckarooBanzay 2021-04-12 13:13:34 +02:00
parent 1d6ee9e0de
commit 2a0e93f1ba
4 changed files with 0 additions and 56 deletions

View File

@ -1,30 +0,0 @@
name: integration-test
on: [push, pull_request]
jobs:
build:
runs-on: ubuntu-20.04
timeout-minutes: 10
steps:
- uses: actions/checkout@master
- name: integration-test
run: ./integration-test.sh
- name: 📧 Discord success notification
env:
DISCORD_WEBHOOK: ${{ secrets.discord_webhook }}
uses: Ilshidur/action-discord@master
with:
args: '☑️ Integration test passed for branch `${{ github.ref }}` and commit `${{ github.sha }}`'
- name: 📧 Discord failure notification
if: failure()
env:
DISCORD_WEBHOOK: ${{ secrets.discord_webhook }}
uses: Ilshidur/action-discord@master
with:
args: '🚫 Integration test failed for branch `${{ github.ref }}` and commit `${{ github.sha }}`'

Binary file not shown.

View File

@ -1,5 +0,0 @@
gameid = minetest
backend = sqlite3
creative_mode = false
enable_damage = false
player_backend = files

View File

@ -1,21 +0,0 @@
#!/bin/bash
# build
docker build . -t mapserver
docker run --name mapserver --rm \
--network host \
-v $(pwd)/integration-test-world:/app \
mapserver &
function cleanup {
# cleanup
docker stop mapserver
}
trap cleanup EXIT
bash -c 'while !</dev/tcp/localhost/8080; do sleep 1; done;'
curl http://127.0.0.1:8080/api/tile/0/0/0/0 > tile.png
file tile.png | grep "PNG image data" || exit 1